# -*-coding:utf-8 -*- #
# ---------------------------------------------------------------------------
# ProjectName:   test61
# FileName:      conftest.py
# Author:       dengyuan
# Datetime:     2024/7/11 18:36
# Description:
# 命名规范：文件名全小写+下划线，类名大驼峰，方法和变量小写+下划线连接，
# 常量大写，变量和常量用名词，方法用动词
# ---------------------------------------------------------------------------
import pytest

from APIAutoTest_v3_1.common.db import DB
from APIAutoTest_v3_1.request_method.request_method import RequestMethod
from APIAutoTest_v3_1.test_case.test_lao_zhang.__init__ import USERNAME


@pytest.fixture(scope="session")
def db_fix():
    db = DB()
    yield db
    db.close()

@pytest.fixture(scope="session")
def req_fix():
    res = RequestMethod()
    yield res

def pytest_collection_modifyitems(items):
    # item表示每个测试用例，解决用例名称中文显示问题
    for item in items:
        item.name = item.name.encode("utf-8").decode("unicode-escape")
        item._nodeid = item._nodeid.encode("utf-8").decode("unicode-escape")